diff --git a/bin/foamGraphExecTime b/bin/foamGraphExecTime
index 2b1be274b0ba653fed19f3450f20c967f5a6473c..3dc2fa2c70b78e5f697c6c550d5dac731293db8a 100755
--- a/bin/foamGraphExecTime
+++ b/bin/foamGraphExecTime
@@ -29,6 +29,10 @@
 # Description
 #     
 #------------------------------------------------------------------------------
+if (! -f "$1" ) then
+    echo "No file: '$1'"
+    exit 1
+endif
 
 set tmpTime = newTime$$.dat
 cat $1 | grep "ExecutionTime = " | awk 'BEGIN { NENTRIES = 0 ; TPREV = 0.0 }{NENTRIES++; printf("%f %e\n", NENTRIES, $3 - TPREV); TPREV = $3}' - > $tmpTime
diff --git a/bin/foamGraphResKE b/bin/foamGraphResKE
index ae9d713ef2561c4183eb70521a4cb41355d72275..d00798f507f936c038e5904b10b0f8ec87b5cf19 100755
--- a/bin/foamGraphResKE
+++ b/bin/foamGraphResKE
@@ -29,6 +29,10 @@
 # Description
 #     
 #------------------------------------------------------------------------------
+if (! -f "$1" ) then
+    echo "No file: '$1'"
+    exit 1
+endif
 
 set tmpK = newK$$.dat
 cat $1 | grep "Solving for k" | grep -v "solution singularity" | sed s/,//g | awk 'BEGIN { NENTRIES = 0 }{NENTRIES++; printf("%f %e\n", NENTRIES, $8)}' - > $tmpK
diff --git a/bin/foamGraphResUVWP b/bin/foamGraphResUVWP
index 036cf47b5a5799220c4361bd36221e3e26c30fa1..1b34258fcf29cea7b50c6a1a047da65a4cea5795 100755
--- a/bin/foamGraphResUVWP
+++ b/bin/foamGraphResUVWP
@@ -29,6 +29,10 @@
 # Description
 #     
 #------------------------------------------------------------------------------
+if (! -f "$1" ) then
+    echo "No file: '$1'"
+    exit 1
+endif
 
 set tmpU = newU$$.dat
 cat $1 | grep "Solving for Ux" | grep -v "solution singularity" | sed s/,//g | awk 'BEGIN { NENTRIES = 0 }{NENTRIES++; printf("%d %e\n", NENTRIES, $8)}' - > $tmpU